


/**************************  此js为获取首次校验的code，也可在回调方法中获取 ******************************/

var InitJS = function(){};

var initObj = new InitJS();

/******************************工具类方法，请不要修改，可自行封装************************/
//获取存储在本地的successCode
InitJS.prototype.getFirstVerifyCode = function () {
    var successCodeDom = document.getElementById("successCodeInp");
    if(InitJS.prototype.isNull(successCodeDom)){
        initObj.popArea("对不起，校验未通过，请先通过校验");
        return null;
    }else {
        var successCode = document.getElementById("successCodeInp").value;
        if(InitJS.prototype.isNull(successCode)){
            initObj.popArea("对不起，校验未通过，请先通过校验");
            return null;
        }else{
            return successCode;
        }
    }
};

InitJS.prototype.isNull = function(str){
    var flag;
    if(str === "" || str === null || str === undefined || str === "null" || str === "undefined"){
        flag = true;
    }else{
        flag = false;
    }
    return flag;
};


//获取cli_id
InitJS.prototype.getCliId = function () {
    var userDomain = window.location.host;
    var cliId = localStorage.getItem("cli_id"+userDomain);
    if(InitJS.prototype.isNull(cliId)){
        cliId = initObj.getSessionStorage("cli_id"+userDomain);
        if(InitJS.prototype.isNull(cliId)){
            cliId = initObj.getCookie("cli_id"+userDomain);
            if(InitJS.prototype.isNull(cliId)){
                initObj.popArea("信息获取失败");
                return null;
            }
        }
    }
    return cliId;
};

//获取客户端的cookie值
InitJS.prototype.getCookie = function(key){
    var arr,reg=new RegExp("(^| )"+key+"=([^;]*)(;|$)");
    if(arr=document.cookie.match(reg)){
        return arr[2];
    }else{
        return null;
    }
};

//获取本地localStorage信息
InitJS.prototype.getSessionStorage = function (key) {
    if (window.sessionStorage) {
        return sessionStorage.getItem(key);
    } else {
        alert(this.messageAlert);
    }
    return null;
};

/********************** js原生提示弹框，如有需要，可自行修改 ************************/
InitJS.prototype.popArea = function (text) {
    var div = document.createElement("div");
    div.setAttribute("class","pop_area_info");
    div.innerHTML = text;
    document.body.appendChild(div);
    setTimeout(InitJS.prototype.hidePopArea,3000);
};

InitJS.prototype.hidePopArea = function () {
    var demobg = document.querySelector(".pop_area_info");
    document.body.removeChild(demobg);
};

